# GradleBuildInvocationSpec

API Documentation: | `GradleBuildInvocationSpec`

Note: This class is incubating and may change in a future version of Gradle.

A specification for launching a Gradle build with a specified Gradle version.

### Properties

Property | Description
`arguments` | Incubating The command line arguments (excluding tasks) to invoke the build with.
`gradleVersion` | Incubating The Gradle version to run the build with. Defaults to the current Gradle version of the running build.
`projectDir` | Incubating The “root” directory of the build. Defaults to the current build's root directory.
`tasks` | Incubating The tasks to execute. Defaults to an empty list.

### Property details

#### ``List`<`String`>` `arguments`

Note: This property is incubating and may change in a future version of Gradle.

The command line arguments (excluding tasks) to invoke the build with.

#### `String` `gradleVersion`

Note: This property is incubating and may change in a future version of Gradle.

The Gradle version to run the build with. Defaults to the current Gradle version of the running build.

#### `File` `projectDir`

Note: This property is incubating and may change in a future version of Gradle.

The “root” directory of the build. Defaults to the current build's root directory.

#### ``List`<`String`>` `tasks`

Note: This property is incubating and may change in a future version of Gradle.

The tasks to execute. Defaults to an empty list.

### Script blocks

No script blocks

### Methods

No methods